{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/Association.getEndType(Ljava/lang/String;ZLorg/eclipse/emf/ecore/EClass;)Lorg/eclipse/uml2/uml/Type;",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/operations/AssociationOperations.getEndTypes(Lorg/eclipse/uml2/uml/Association;)Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 2,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 2,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 2
  }
}